"use client";

import { Button } from "@/components/ui/button";
import { useGlobalSettings } from "@/hooks/useGlobalSettings";
import { Sparkle, Sparkles } from "lucide-react";

export default function AnimateToggle() {
  const { animateGlow, setAnimateGlow } = useGlobalSettings();

  return (
    <Button
      variant="outline"
      size="icon"
      onClick={() => setAnimateGlow(!animateGlow)}
      aria-label="Toggle glow animation"
    >
      {animateGlow ? <Sparkles className="w-5 h-5" /> : <Sparkle className="w-5 h-5 opacity-50" />}
    </Button>
  );
}
