import { Image } from "@/generated/prisma";
import ImageCard from "../cards/ImageCard";

export default function AlbumImageList({ images, gallerySlug, albumSlug }: { images: Image[], gallerySlug: string, albumSlug: string }) {
  if (!images.length) return <p>There are no images here!</p>;

  return (
    <section>
      <div className="grid gap-6 sm:grid-cols-2 md:grid-cols-3 xl:grid-cols-4">
        {images.map((image) => (
          <ImageCard key={image.id} image={image} gallerySlug={gallerySlug} albumSlug={albumSlug} />
        ))}
      </div>
    </section>
  );
}
