import { create } from "zustand";

type GlobalSettings = {
  showNSFW: boolean;
  setShowNSFW: (val: boolean) => void;
  animateGlow: boolean;
  setAnimateGlow: (val: boolean) => void;
};

export const useGlobalSettings = create<GlobalSettings>((set) => ({
  showNSFW: false,
  setShowNSFW: (val) => set({ showNSFW: val }),
  animateGlow: true,
  setAnimateGlow: (val) => set({ animateGlow: val }),
}));
